summaryrefslogtreecommitdiffstats
path: root/umplayer
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2011-06-23 11:43:22 +0000
committer Eric Hameleers <alien@slackware.com>2011-06-23 11:43:22 +0000
commit155749f0fdb7d7fb9844bc074cf2a5cb657f05f5 (patch)
treea96e2b1993fc02784c66eb29e0c81c395a9cb275 /umplayer
parent2b891bdc33076f9b6bdec1b63ea4ae7030d2a123 (diff)
downloadasb-155749f0fdb7d7fb9844bc074cf2a5cb657f05f5.tar.gz
asb-155749f0fdb7d7fb9844bc074cf2a5cb657f05f5.tar.xz
Fix a compilation error and move man pages to the correct location
Diffstat (limited to 'umplayer')
-rwxr-xr-xumplayer/build/umplayer.SlackBuild13
1 files changed, 9 insertions, 4 deletions
diff --git a/umplayer/build/umplayer.SlackBuild b/umplayer/build/umplayer.SlackBuild
index b0c6b39c..2459b6b7 100755
--- a/umplayer/build/umplayer.SlackBuild
+++ b/umplayer/build/umplayer.SlackBuild
@@ -219,16 +219,17 @@ export CFLAGS="$SLKCFLAGS"
make $NUMJOBS \
CONF_PREFIX="" \
- PREFIX="/usr" \
- KDE_PREFIX="/usr" \
- DOC_PATH="/usr/doc/$PRGNAM-VERSION" \
+ PREFIX=/usr \
+ KDE_PREFIX=/usr \
+ DOC_PATH="\\\"/usr/doc/$PRGNAM-$VERSION\\\"" \
${KDE_SUPPORT_FLAGS} \
+ 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
make install \
CONF_PREFIX="$PKG" \
PREFIX="$PKG/usr" \
KDE_PREFIX="$PKG/usr" \
- DOC_PATH="$PKG/usr/doc/$PRGNAM-VERSION" \
+ DOC_PATH=\"$PKG/usr/doc/$PRGNAM-$VERSION\" \
${KDE_SUPPORT_FLAGS} \
2>&1 | tee $OUTPUT/install-${PRGNAM}.log
@@ -281,6 +282,10 @@ chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
find $PKG/usr/doc -type f -exec chmod 644 {} \;
# Compress the man page(s):
+if [ -d $PKG/usr/share/man ]; then
+ mv $PKG/usr/share/man $PKG/usr
+ rmdir $PKG/usr/share 2>/dev/null || true
+fi
if [ -d $PKG/usr/man ]; then
find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
for i in $(find $PKG/usr/man -type l -name "*.?") ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done